Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.geom.util
Class LinearComponentExtracter

    java.lang.Object
      com.vividsolutions.jts.geom.util.LinearComponentExtracter

All Implemented Interfaces:
  GeometryComponentFilter

public class LinearComponentExtracter
extends java.lang.Object
implements GeometryComponentFilter

Extracts all the 1-dimensional (`LineString`) components from a `Geometry`.

Version:
  1.7

Constructor Summary
`LinearComponentExtracter(java.util.List lines)` Constructs a LineExtracterFilter with a list in which to store LineStrings found.

Method Summary
`void` | `filter(Geometry geom)` Performs an operation with or on `geom`.
`static java.util.List` | `getLines(Geometry geom)` Extracts the linear components from a single geometry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinearComponentExtracter

    public LinearComponentExtracter(java.util.List lines)

  Constructs a LineExtracterFilter with a list in which to store LineStrings found.

Method Detail

### getLines

    public static java.util.List getLines(Geometry geom)

  Extracts the linear components from a single geometry. If more than one geometry is to be processed, it is more efficient to create a single `LineExtracterFilter` instance and pass it to multiple geometries.

  Parameters:
    `geom` - the geometry from which to extract linear components
  Returns:
    the list of linear components

### filter

    public void filter(Geometry geom)

  Description copied from interface: `GeometryComponentFilter`
  Performs an operation with or on `geom`.

  Specified by:
    `filter` in interface `GeometryComponentFilter`
  Parameters:
    `geom` - a `Geometry` to which the filter is applied.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD